org.deidentifier.arx.certificate

## Class CertificateStyle

- java.lang.Object
- - org.deidentifier.arx.certificate.CertificateStyle

    public class CertificateStyle
    extends java.lang.Object

Style information for a PDF document

Author:
  Fabian Prasser

### Nested Class Summary

Nested Classes
`static class` `CertificateStyle.ListStyle` Enum for list styles

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static CertificateStyle` `create()` Creates a new instance
`float` `gethMargin()`
`int` `getListIndent()`
`rst.pdfbox.layout.text.BaseFont` `getSubtitleFont()`
`int` `getSubtitleSize()`
`rst.pdfbox.layout.text.BaseFont` `getTextFont()`
`int` `getTextSize()`
`rst.pdfbox.layout.text.Alignment` `getTitleAlignment()`
`rst.pdfbox.layout.text.BaseFont` `getTitleFont()`
`rst.pdfbox.layout.elements.render.LayoutHint` `getTitleHint()`
`int` `getTitleSize()`
`float` `getvMargin()`
`CertificateStyle` `sethMargin(float hMargin)`
`CertificateStyle` `setListIndent(int listIndent)`
`CertificateStyle` `setSubtitleFont(rst.pdfbox.layout.text.BaseFont subtitleFont)`
`CertificateStyle` `setSubtitleSize(int subtitleSize)`
`CertificateStyle` `setTextFont(rst.pdfbox.layout.text.BaseFont textFont)`
`CertificateStyle` `setTextSize(int textSize)`
`CertificateStyle` `setTitleAlignment(rst.pdfbox.layout.text.Alignment titleAlignment)`
`CertificateStyle` `setTitleFont(rst.pdfbox.layout.text.BaseFont titleFont)`
`CertificateStyle` `setTitleHint(rst.pdfbox.layout.elements.render.LayoutHint titleHint)`
`CertificateStyle` `setTitleSize(int titleSize)`
`CertificateStyle` `setvMargin(float vMargin)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### create

    public static CertificateStyle create()

Creates a new instance

Returns:

#### gethMargin

    public float gethMargin()

Returns:
  the hMargin

#### getListIndent

    public int getListIndent()

Returns:
  the listIndent

#### getSubtitleFont

    public rst.pdfbox.layout.text.BaseFont getSubtitleFont()

Returns:
  the subtitleFont

#### getSubtitleSize

    public int getSubtitleSize()

Returns:
  the subtitleSize

#### getTextFont

    public rst.pdfbox.layout.text.BaseFont getTextFont()

Returns:
  the textFont

#### getTextSize

    public int getTextSize()

Returns:
  the textSize

#### getTitleAlignment

    public rst.pdfbox.layout.text.Alignment getTitleAlignment()

Returns:
  the titleAlignment

#### getTitleFont

    public rst.pdfbox.layout.text.BaseFont getTitleFont()

Returns:
  the titleFont

#### getTitleHint

    public rst.pdfbox.layout.elements.render.LayoutHint getTitleHint()

Returns:
  the titleHint

#### getTitleSize

    public int getTitleSize()

Returns:
  the titleSize

#### getvMargin

    public float getvMargin()

Returns:
  the vMargin

#### sethMargin

    public CertificateStyle sethMargin(float hMargin)

Parameters:
  `hMargin` - the hMargin to set

#### setListIndent

    public CertificateStyle setListIndent(int listIndent)

Parameters:
  `listIndent` - the listIndent to set

#### setSubtitleFont

    public CertificateStyle setSubtitleFont(rst.pdfbox.layout.text.BaseFont subtitleFont)

Parameters:
  `subtitleFont` - the subtitleFont to set

#### setSubtitleSize

    public CertificateStyle setSubtitleSize(int subtitleSize)

Parameters:
  `subtitleSize` - the subtitleSize to set

#### setTextFont

    public CertificateStyle setTextFont(rst.pdfbox.layout.text.BaseFont textFont)

Parameters:
  `textFond` - the textFont to set

#### setTextSize

    public CertificateStyle setTextSize(int textSize)

Parameters:
  `textSize` - the textSize to set

#### setTitleAlignment

    public CertificateStyle setTitleAlignment(rst.pdfbox.layout.text.Alignment titleAlignment)

Parameters:
  `titleAlignment` - the titleAlignment to set

#### setTitleFont

    public CertificateStyle setTitleFont(rst.pdfbox.layout.text.BaseFont titleFont)

Parameters:
  `titleFont` - the titleFont to set

#### setTitleHint

    public CertificateStyle setTitleHint(rst.pdfbox.layout.elements.render.LayoutHint titleHint)

Parameters:
  `titleHint` - the titleHint to set

#### setTitleSize

    public CertificateStyle setTitleSize(int titleSize)

Parameters:
  `titleSize` - the titleSize to set

#### setvMargin

    public CertificateStyle setvMargin(float vMargin)

Parameters:
  `vMargin` - the vMargin to set